Summary: An op5 Monitor plugin to check various Movex/M3 parts using telnet
Name: monitor-plugin-check_movex_as400
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: perl
Requires: perl(Term::VT102)
Requires: perl(Expect)
Requires: perl(IO::Stty)

%if 0%{?suse_version}
# SLES-specific stuff
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
This plugin check various Movex/M3 related system information.
It does so by connecting to the as400 using telnet.
The plugin uses the oms400/ods400 commands on the target machine.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/opt/plugins
cp check_movex_as400.pl %buildroot/opt/plugins/check_movex_as400.pl

pushd %buildroot%prefix
	ln -s check_movex_as400.pl check_movex_as400
popd
%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_movex_as400.pl
%attr(755,root,root) /opt/plugins/check_movex_as400

%changelog
* Tue May 29 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
